Page MenuHomePhabricator

Update Debian package of Blubber (0.5.0-1)
Closed, ResolvedPublic

Description

Upstream v0.5.0 tag has been pushed, debian/0.5.0-1 has been tagged and pushed, the debian/changelog is up-to-date on the debian branch.

Should just need to be rebuilt and pushed out to the production repository.

Changelog:

blubber (0.5.0-1) unstable; urgency=low               
                
  [ Tyler Cipriani ]                                                         
  * tool -> too                                          
  * Add slash to directory path if copying > 1 file   
                                                                       
  [ Dan Duvall ]                           
  * Change import paths from Phabricator to Gerrit              
                                     
  [ Antoine Musso ]                          
  * Add .gitreview file                                     
                                                                       
  [ Dan Duvall ]                                   
  * Provide Makefile rules for running linters and tests
  * Makefile lint rule now tests gofmt output and runs go vet correctly
  * Test Blubber in CI using Blubber
  * Refactor builder to support file requirements and run pre-install
  * Bump Blubber config version to v3

  [ Tyler Cipriani ]
  * Change XS-Go-Import-Path after move to gerrit

 -- Tyler Cipriani <tcipriani@wikimedia.org>  Wed, 29 Aug 2018 15:05:07 -0600

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 29 2018, 9:27 PM
ArielGlenn triaged this task as Medium priority.Aug 30 2018, 9:54 AM

Poking this for ETA.

This one should unblock us on graphoid as well as a add a builder to help support generic jobs in CI via blubber – we're eager to get it out.

Poking this for ETA.

This one should unblock us on graphoid as well as a add a builder to help support generic jobs in CI via blubber – we're eager to get it out.

Probably Thursday/Friday I 'd say.

Mentioned in SAL (#wikimedia-operations) [2018-09-13T15:02:37Z] <akosiaris> upload blubber_0.5.0-1 to apt.wikimedia.org/{stretch,jessie}-wikimedia/main T203121

akosiaris closed this task as Resolved.Sep 13 2018, 3:03 PM
akosiaris claimed this task.

Packages built and uploaded to both stretch-wikimedia and jessie-wikimedia. Resolving, feel free to reopen.